# TdApi.MessageForwardOriginChannel (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageForwardOriginChannel

Package it.tdlight.jni

# Class TdApi.MessageForwardOriginChannel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageForwardOrigin
it.tdlight.jni.TdApi.MessageForwardOriginChannel

Enclosing class:
  TdApi

    public static class TdApi.MessageForwardOriginChannel
    extends TdApi.MessageForwardOrigin

The message was originally a post in a channel.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String` | `authorSignature` | Original post author signature.
`long` | `chatId` | Identifier of the chat from which the message was originally forwarded.
`static int` | `CONSTRUCTOR` |
`long` | `messageId` | Message identifier of the original message.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageForwardOriginChannel()` | The message was originally a post in a channel.
`MessageForwardOriginChannel​(long chatId, long messageId, String authorSignature)` | The message was originally a post in a channel.
`MessageForwardOriginChannel​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat from which the message was originally forwarded.

### messageId

public long messageId
Message identifier of the original message.

### authorSignature

public String authorSignature
Original post author signature.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageForwardOriginChannel

public MessageForwardOriginChannel()
The message was originally a post in a channel.

### MessageForwardOriginChannel

public MessageForwardOriginChannel​(long chatId, long messageId, String authorSignature)
The message was originally a post in a channel.

Parameters:
  `chatId` - long Identifier of the chat from which the message was originally forwarded.
  `messageId` - long Message identifier of the original message.
  `authorSignature` - String Original post author signature.

### MessageForwardOriginChannel

public MessageForwardOriginChannel​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`